Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Class MethodCalledByConstructorInvocation

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.CallerInvocation
              org.jboss.aop.joinpoint.MethodCalledByConstructorInvocation

All Implemented Interfaces:
  Invocation, Serializable

Direct Known Subclasses:
  MethodCalledByConstructorInvocationWrapper

public class MethodCalledByConstructorInvocation
extends CallerInvocation

This is a helper wrapper class for an Invocation object. It is used to add or get values or metadata that pertains to an AOP method invocation.

Version:
  $Revision: 1.15 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected Object[]` | `arguments`
`protected Constructor` | `calling`
`protected Method` | `method`

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`MethodCalledByConstructorInvocation(Advisor advisor, Constructor calling, Method method, Object target, Object[] args, Interceptor[] interceptors)`
`MethodCalledByConstructorInvocation(Interceptor[] interceptors)`
`MethodCalledByConstructorInvocation(MethodByConInfo info, Object target, Interceptor[] interceptors)`
`MethodCalledByConstructorInvocation(MethodByConInfo info, Object target, Object[] args, Interceptor[] interceptors)`

Method Summary
`Invocation` | `copy()` Copies complete state of Invocation object.
`Object[]` | `getArguments()` What are the arguments of the method call The are expressed as an Object[] array.
`Method` | `getCalledMethod()`
`Constructor` | `getCalling()` The constructor that is calling the method
`Object` | `getMetaData(Object group, Object attr)` This method resolves metadata based on the context of the invocation.
`Invocation` | `getWrapper(Interceptor[] newchain)` Get a wrapper invocation object that can insert a new chain of interceptors at runtime to the invocation flow.
`Object` | `invokeNext()` Invoke on the next interceptor in the chain.
`void` | `setArguments(Object[] arguments)` Change the arguments of the method call

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`addResponseAttachment, getAdvisor, getCurrentInterceptor, getInstanceResolver, getInterceptors, getMetaData, getResponseAttachment, getResponseContextInfo, getTargetObject, invokeNext, resolveAnnotation, resolveAnnotation, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver, setMetaData, setResponseContextInfo, setTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### calling

    protected Constructor calling

### method

    protected Method method

### arguments

    protected Object[] arguments

Constructor Detail

### MethodCalledByConstructorInvocation

    public MethodCalledByConstructorInvocation(MethodByConInfo info,
                                               Object target,
                                               Object[] args,
                                               Interceptor[] interceptors)

### MethodCalledByConstructorInvocation

    public MethodCalledByConstructorInvocation(MethodByConInfo info,
                                               Object target,
                                               Interceptor[] interceptors)

### MethodCalledByConstructorInvocation

    public MethodCalledByConstructorInvocation(Advisor advisor,
                                               Constructor calling,
                                               Method method,
                                               Object target,
                                               Object[] args,
                                               Interceptor[] interceptors)

### MethodCalledByConstructorInvocation

    public MethodCalledByConstructorInvocation(Interceptor[] interceptors)

Method Detail

### invokeNext

    public Object invokeNext()
                      throws Throwable

  Invoke on the next interceptor in the chain. If this is already the end of the chain, reflection will call the constructor, field, or method you are invoking on.

  Specified by:
    `invokeNext` in interface `Invocation`
  Overrides:
    `invokeNext` in class `InvocationBase`
  Throws:
    `Throwable`

### getMetaData

    public Object getMetaData(Object group,
                              Object attr)

  This method resolves metadata based on the context of the invocation. It iterates through its list of MetaDataResolvers to find out the value of the metadata desired. This list usually is ThreadMetaData, InstanceAdvisor.getMetaData ClassAdvisor.getMethodMetaData (or field, or constructor) ClassAdvisor.getDefaultMetaData

  Specified by:
    `getMetaData` in interface `Invocation`
  Overrides:
    `getMetaData` in class `InvocationBase`

### getWrapper

    public Invocation getWrapper(Interceptor[] newchain)

  Get a wrapper invocation object that can insert a new chain of interceptors at runtime to the invocation flow. CFlow makes use of this. When the wrapper object finishes its invocation chain it delegates back to the wrapped invocation.

  Parameters:
    `newchain` -
  Returns:

### copy

    public Invocation copy()

  Copies complete state of Invocation object.

  Returns:

### getArguments

    public Object[] getArguments()

  What are the arguments of the method call The are expressed as an Object[] array.

  Returns:
    the arguments of the method call

### setArguments

    public void setArguments(Object[] arguments)

  Change the arguments of the method call

  Parameters:
    `arguments` -

### getCalling

    public Constructor getCalling()

  The constructor that is calling the method

  Returns:
    The constructor that is calling the method

### getCalledMethod

    public Method getCalledMethod()

  Returns:
    the method that is being called

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.